Bug 698301

Summary: Review Request: perl-CPAN-Changes - Read and write Changes files
Product: [Fedora] Fedora Reporter: Paul Howarth <paul>
Component: Package ReviewAssignee: Marcela Mašláňová <mmaslano>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, i, notting
Target Milestone: ---Flags: mmaslano: fedora-review+
j: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-CPAN-Changes-0.17-1.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-05-01 21:03:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 979673    

Description Paul Howarth 2011-04-20 15:28:48 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-CPAN-Changes/branches/fedora/perl-CPAN-Changes.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-CPAN-Changes/perl-CPAN-Changes-0.16-1.fc16.src.rpm

Description
It is standard practice to include a Changes file in your distribution. The
purpose of the Changes file is to help a user figure out what has changed
since the last release.

People have devised many ways to write the Changes file. A preliminary
specification has been created (CPAN::Changes::Spec) to encourage module
authors to write clear and concise Changes.

This module will help users programmatically read and write Changes files
that conform to the specification.

Comment 1 Marcela Mašláňová 2011-04-22 08:22:06 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=3018178
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides ../RPMS/noarch/perl-CPAN-Changes-0.16-1.fc14.noarch.rpm 
perl(CPAN::Changes) = 0.16
perl(CPAN::Changes::Release)  
perl(Test::CPAN::Changes)  
perl-CPAN-Changes = 0.16-1.fc14

rpm -qp --requires ../RPMS/noarch/perl-CPAN-Changes-0.16-1.fc14.noarch.rpm 
perl(:MODULE_COMPAT_5.12.3)  
perl(CPAN::Changes)  
perl(CPAN::Changes::Release)  
perl(Scalar::Util)  
perl(Test::Builder)  
perl(Text::Wrap)  
perl(strict)  
perl(version)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

APPROVED

Comment 2 Paul Howarth 2011-04-22 08:58:49 UTC
New Package SCM Request
=======================
Package Name: perl-CPAN-Changes
Short Description: Read and write Changes files
Owners: pghmcfc
Branches: F-13 F-14 F-15
InitialCC: perl-sig

No EPEL branches due to needing perl 5.10 and perl(version) 0.79 (EL-6 has 0.77, but perhaps there will be an update in EL-6.1?).

Thanks for the review Marcela.

Comment 3 Jason Tibbitts 2011-04-22 14:29:42 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-04-22 22:16:10 UTC
perl-CPAN-Changes-0.17-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-CPAN-Changes-0.17-1.fc14

Comment 5 Fedora Update System 2011-04-22 22:16:17 UTC
perl-CPAN-Changes-0.17-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-CPAN-Changes-0.17-1.fc15

Comment 6 Fedora Update System 2011-04-22 22:16:25 UTC
perl-CPAN-Changes-0.17-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-CPAN-Changes-0.17-1.fc13

Comment 7 Fedora Update System 2011-04-26 16:02:08 UTC
perl-CPAN-Changes-0.17-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 8 Fedora Update System 2011-05-01 20:56:15 UTC
perl-CPAN-Changes-0.17-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 9 Fedora Update System 2011-05-01 20:57:18 UTC
perl-CPAN-Changes-0.17-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 10 Christopher Meng 2014-06-18 17:03:53 UTC
*** Bug 979670 has been marked as a duplicate of this bug. ***